# Anlık Yazışma

## Anlık Yazışma Nedir?

Bir zamanlar İnternet üzerinden yapılan iletişimin küçük bir kısmı olan "chat" taşınabilir cihazların, özellikle mobil İnternet bağlantısının gelişmesi ile tüm günlük iletişimi en temel özelliği haline gelmiş durumda. Özellikle klasik GSM hizmeti olan SMS ve MMS'in dudak uçuklatan fiyatlarının yanında neredeyse hiç bir maliyet olmadan her türlü veriyi sorunsuzca aktarabilme gücü iletişimin yönünü anlık yazışma yönünde değiştirmiştir.

Bu durumun yadırganmaması gerek. Keza e-posta uzunca düşünülmüş bir mektup gibi anlık iletişim ihtiyaçlarını karşılamadığından günlük iletişimin anlık yazışma yazılımlarına akması çok doğal sayılmalıdır. Aynı zamanda grup yazışmaları ve hiyerarşik sıralama pek çok topluluk için de örgütlenme açısından çok faydalı sonuçlar verebilmektedir.

Anlık yazışma dünyası ne yazık ki özgür olmayan para hırsı ile ilerleyen start-up yazılımları üzerine kurularak başladı. Whatsapp tüm berbat geçmişi, Facebook gibi zararlı bir şirketin malı olmakla ile birlikte hala dünyada en çok kullanılan anlık yazışma uygulaması. 

Bu durumun değişmesi gerekiyor! Hem Facebook'un elinde kullanıcılarının verileri dünyanın kötülüğüne kullanılıyor hem de özgür olmayan yazılımı ile tüm kullanıcılarını kendine esir ediyor. Son 10 yıldaki yükselişe karşı özgür yazılım dünyasından da gelen desteklerle bugün çokça özgür olmayan alternatiflerinden çok daha başarılı, kullanılabilir, özellik dolu anlık yazışma yazılımı bulunmakta. Tek yapmanız gereken aralarından ihtiyacınıza uygun olanı seçip kullanmak.

## Anlık Yazışma Yazılımından Ne Beklenir?

* **Özgürlük:** Her yazılımınız gibi iletişim için kullandığınız temel yazılımlar da özgür olmalıdır. Bu hem özgür yazılımların kamuya mal edilmiş olmasından dolayı yazılımın geleceği ve sürdürülebilirliği için önemlidir. Hem de mahremiyet sözlerinin tutulduğunun ve güvenlik açıklarının görülebilmesinin garantisidir.

* **Güvenlk:** Yazılımın özgür olması kendiliğinden güvenlik sağlayan bir unsur değildir. Yazlımın hem güncel kriptografik araçları kullanması, bunları doğru şekilde uygulaması aynı zamanda tasarım olarak güvenliği öncelikli görmesi gereklidir.

* **Kolaylık:** Ne yazık ki; günümüz kullanıcı çevresinde bir yazılımın özellikle mobil cihazlarda "kullanılabilir" olması her özelliğin önüne geçmiş durumda. Bu durumu yaratan silikon vadisi değerlerini bir kenara bırakırsak kullanılabilirlik pratik olarak güvenli bir iletişim çevresi yaratmak için çevrenize yapacağınız propagandada çok faydalı olacaktır.

* **Federasyon:** Federasyon tek bir sunucunun ile sahibi olan şirketin tüm iletişim altyapısı üzerinde söz sahibi olamamasını sağlar. Bu düzende her bağımsız sunucuda bulunan kullanıcılar tüm diğer sunuculardaki kişilerle iletişim kurabilirler. Buna en iyi örnek e-posta sistemdir. Bugün kim hangi e-posta sağlayıcısından hizmet alırsa alsın dilediği kimseye sorunsuzca e-posta atabilir. Bu özelliğin olmaması bugün değilse bile gelecekte özgür de olsa yazılımın sunucu tarafını çalıştıran kişi/şirkete mahkumiyet demektir.

* **Çoklu Platform:** Bugün bilgisayarınızda kabaca 3 işletim sistemi, mobil cihazlarda 2 ayrı işletim sistemi bulunabilmekte. Elbette gönül herkesin özgür GNU/Linux ve AOSP Android dağıtımlarını kullanmasını istese de çevrenizde çokça insanı özgür olmayan işletim sistemleri ile bulacaksınız. Bu durumda o kişilerle iletişememeniz ve nihayetinde özgürlük düşmanı iletişim yöntemlerine geri dönmeniz söz konusu olabilir.

|Yazılım|Temel Özellikleri|İyi yönleri|
|--- |--- |--- |
|[OTR](otr.md)|Perfect forward secrecy (mutlak gizlilik), inkar edilebilirlik, federatif|[XMPP](https://en.wikipedia.org/wiki/XMPP) üzerinden her türlü iletişim kanalında kullanılabilir. 2004'ten beri kullanılmaktadır.
|[OMEMO](./omemo/omemo.md)|Perfect forward secrecy (mutlak gizlilik), inkar edilebilirlik, federatif|OTR'nin çoklu cihaz desteği getirilmiş modern versiyonu.|
|[Signal](./signal/signal.md)|Modern kriptografi, kullanıcı dostu arayüz, grup desteği, yaygın kullanım|Sıkça tavsiye edilen modern görünümlü bir mobil temelli yazılım. Kullanıcı sayısı giderek artmakta fakat [federasyon düşmanı](https://www.oyd.org.tr/en/articles/signal/).|
